Skip to content

Site⁠

Perform various operations on site records.

Operations⁠

getSite⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getSite
POST /nexum/627/2022.01/account/getSite HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getSiteSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getSiteSelectFields
POST /nexum/627/2022.01/account/getSiteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "SelectableFields": {
    "IncludeAllSiteFields": true,
    "SiteFields": {
      "City": true,
      "CloseDate": true,
      "ContactPhone": true,
      "ExtraAddress": true,
      "FaxPhone": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SiteContactName": true,
      "SiteId": true,
      "SiteName": true,
      "SiteNumber": true,
      "SiteSettleShareId": true,
      "State": true,
      "Street": true,
      "ZipCode": true
    },
    "SiteCashOrderTypeSelectableFields": {
      "IncludeAllSiteCashOrderTypeFields": true,
      "SiteCashOrderTypeFields": {
        "ActiveFlag": true,
        "ApplyHandlingFee": true,
        "CashOrderTypeCoinBag": [
          0
        ],
        "CashOrderTypeCoinRoll": [
          0
        ],
        "CashOrderTypeComment": [
          0
        ],
        "CashOrderTypeCurrFit": [
          0
        ],
        "CashOrderTypeCurrNew": [
          0
        ],
        "CashOrderTypeDelCharge": true,
        "CashOrderTypeMaxOrder": true,
        "CashOrderTypeMinOrder": true,
        "CashOrderTypeName": true,
        "CashOrderTypeSpecDelCharge": true,
        "CloseDate": true,
        "DelFrequency": true,
        "DeliveryDays": [
          0
        ],
        "LocationCode": true,
        "Locator": true,
        "OrderLimiting": true,
        "RecordChangeDate": true,
        "SpecHandlingFee": true
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSiteSelectFieldsFilterChildren⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getSiteSelectFieldsFilterChildren
POST /nexum/627/2022.01/account/getSiteSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "SelectableFields": {
    "IncludeAllSiteFields": true,
    "SiteFields": {
      "City": true,
      "CloseDate": true,
      "ContactPhone": true,
      "ExtraAddress": true,
      "FaxPhone": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SiteContactName": true,
      "SiteId": true,
      "SiteName": true,
      "SiteNumber": true,
      "SiteSettleShareId": true,
      "State": true,
      "Street": true,
      "ZipCode": true
    },
    "SiteCashOrderTypeSelectableFields": {
      "IncludeAllSiteCashOrderTypeFields": true,
      "SiteCashOrderTypeFields": {
        "ActiveFlag": true,
        "ApplyHandlingFee": true,
        "CashOrderTypeCoinBag": [
          0
        ],
        "CashOrderTypeCoinRoll": [
          0
        ],
        "CashOrderTypeComment": [
          0
        ],
        "CashOrderTypeCurrFit": [
          0
        ],
        "CashOrderTypeCurrNew": [
          0
        ],
        "CashOrderTypeDelCharge": true,
        "CashOrderTypeMaxOrder": true,
        "CashOrderTypeMinOrder": true,
        "CashOrderTypeName": true,
        "CashOrderTypeSpecDelCharge": true,
        "CloseDate": true,
        "DelFrequency": true,
        "DeliveryDays": [
          0
        ],
        "LocationCode": true,
        "Locator": true,
        "OrderLimiting": true,
        "RecordChangeDate": true,
        "SpecHandlingFee": true
      }
    }
  },
  "ChildrenSearchFilter": {
    "SiteCashOrderTypeFilter": {
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSitePagedList⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getSitePagedList
POST /nexum/627/2022.01/account/getSitePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSiteListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getSiteListSelectFields
POST /nexum/627/2022.01/account/getSiteListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SelectableFields": {
    "IncludeAllSiteFields": true,
    "SiteFields": {
      "City": true,
      "CloseDate": true,
      "ContactPhone": true,
      "ExtraAddress": true,
      "FaxPhone": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SiteContactName": true,
      "SiteId": true,
      "SiteName": true,
      "SiteNumber": true,
      "SiteSettleShareId": true,
      "State": true,
      "Street": true,
      "ZipCode": true
    },
    "SiteCashOrderTypeSelectableFields": {
      "IncludeAllSiteCashOrderTypeFields": true,
      "SiteCashOrderTypeFields": {
        "ActiveFlag": true,
        "ApplyHandlingFee": true,
        "CashOrderTypeCoinBag": [
          0
        ],
        "CashOrderTypeCoinRoll": [
          0
        ],
        "CashOrderTypeComment": [
          0
        ],
        "CashOrderTypeCurrFit": [
          0
        ],
        "CashOrderTypeCurrNew": [
          0
        ],
        "CashOrderTypeDelCharge": true,
        "CashOrderTypeMaxOrder": true,
        "CashOrderTypeMinOrder": true,
        "CashOrderTypeName": true,
        "CashOrderTypeSpecDelCharge": true,
        "CloseDate": true,
        "DelFrequency": true,
        "DeliveryDays": [
          0
        ],
        "LocationCode": true,
        "Locator": true,
        "OrderLimiting": true,
        "RecordChangeDate": true,
        "SpecHandlingFee": true
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchSiteSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/searchSiteSelectFields
POST /nexum/627/2022.01/account/searchSiteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SelectableFields": {
    "IncludeAllSiteFields": true,
    "SiteFields": {
      "City": true,
      "CloseDate": true,
      "ContactPhone": true,
      "ExtraAddress": true,
      "FaxPhone": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SiteContactName": true,
      "SiteId": true,
      "SiteName": true,
      "SiteNumber": true,
      "SiteSettleShareId": true,
      "State": true,
      "Street": true,
      "ZipCode": true
    },
    "SiteCashOrderTypeSelectableFields": {
      "IncludeAllSiteCashOrderTypeFields": true,
      "SiteCashOrderTypeFields": {
        "ActiveFlag": true,
        "ApplyHandlingFee": true,
        "CashOrderTypeCoinBag": [
          0
        ],
        "CashOrderTypeCoinRoll": [
          0
        ],
        "CashOrderTypeComment": [
          0
        ],
        "CashOrderTypeCurrFit": [
          0
        ],
        "CashOrderTypeCurrNew": [
          0
        ],
        "CashOrderTypeDelCharge": true,
        "CashOrderTypeMaxOrder": true,
        "CashOrderTypeMinOrder": true,
        "CashOrderTypeName": true,
        "CashOrderTypeSpecDelCharge": true,
        "CloseDate": true,
        "DelFrequency": true,
        "DeliveryDays": [
          0
        ],
        "LocationCode": true,
        "Locator": true,
        "OrderLimiting": true,
        "RecordChangeDate": true,
        "SpecHandlingFee": true
      }
    }
  },
  "SearchFilter": {
    "Query": "string",
    "SiteChildrenFilter": {
      "SiteCashOrderTypeFilter": {
        "Query": "string"
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}